GDAL

Public Member Functions | List of all members
GNMRule Class Reference

The simple class for rules. More...

`#include <gnm.h>`

## Public Member Functions
| GNMRule ()
| Constructor.
| GNMRule (const std::string &oRule)
| Constructor.
| GNMRule (const char *pszRule)
| Constructor.
| GNMRule (const GNMRule &)=default
| Copy constructor.
| GNMRule (GNMRule &&)=default
| Move constructor.
GNMRule & | operator= (const GNMRule &)=default
| Assignment operator.
GNMRule & | operator= (GNMRule &&)=default
| Move assignment operator.
virtual | ~GNMRule ()
| Destructor.
virtual bool | IsValid () const
| This function indicate if rule string was parsed successfully.
virtual bool | IsAcceptAny () const
| Indicator of any layer state.
virtual GNMRuleType | GetType () const
| This is for future use to indicate the rule type/ Now return only GRTConnection type.
virtual bool | CanConnect (const CPLString &soSrcLayerName, const CPLString &soTgtLayerName, const CPLString &soConnLayerName="")
| Check if connection can take place.
virtual CPLString | GetSourceLayerName () const
| Return source layer name.
virtual CPLString | GetTargetLayerName () const
| Return target layer name.
virtual CPLString | GetConnectorLayerName () const
| Return connector layer name.
const char * | c_str () const
| Return rule as a string.
| operator const char * (void) const
| Return rule as a string.

## Detailed Description

The simple class for rules.

By now we have only connect rules, so the one class is enough. Maybe in future the set of classes for different rule types will be needed.

Since
  GDAL 2.1

## Member Function Documentation

## ◆ CanConnect()

virtual bool GNMRule::CanConnect | ( | const CPLString & | soSrcLayerName,
|  | const CPLString & | soTgtLayerName,
|  | const CPLString & | soConnLayerName = `""`
| ) |  |
| virtual

Check if connection can take place.

Parameters

  soSrcLayerName | - the layer name
  soTgtLayerName | - the layer name
  soConnLayerName | - the layer name

Returns
  true if can connect features from soSrcLayerName and soTgtLayerName via soConnLayerName

## ◆ GetType()

virtual GNMRuleType GNMRule::GetType | ( |  | ) | const
| virtual

This is for future use to indicate the rule type/ Now return only GRTConnection type.

Returns
  the rule type

## ◆ IsAcceptAny()

virtual bool GNMRule::IsAcceptAny | ( |  | ) | const
| virtual

Indicator of any layer state.

Returns
  true if accept any layer

## ◆ IsValid()

virtual bool GNMRule::IsValid | ( |  | ) | const
| virtual

This function indicate if rule string was parsed successfully.

Returns
  true if rule is valid

The documentation for this class was generated from the following file:

- gnm.h